ClassVisitorTee (cglib (Version 3.1))
Date: 2015-09-15

net.sf.cglib.transform

## Class ClassVisitorTee

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassVisitorTee

-     public class ClassVisitorTee
      extends ClassVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassVisitorTee(ClassVisitor cv1, ClassVisitor cv2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
    `AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
    `void` | `visitAttribute(Attribute attrs)`
    `void` | `visitEnd()`
    `FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
    `void` | `visitInnerClass(java.lang.String name, java.lang.String outerName, java.lang.String innerName, int access)`
    `MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`
    `void` | `visitOuterClass(java.lang.String owner, java.lang.String name, java.lang.String desc)`
    `void` | `visitSource(java.lang.String source, java.lang.String debug)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassVisitorTee

          public ClassVisitorTee(ClassVisitor cv1,
                         ClassVisitor cv2)

  - ### Method Detail

    - #### visit

          public void visit(int version,
                   int access,
                   java.lang.String name,
                   java.lang.String signature,
                   java.lang.String superName,
                   java.lang.String[] interfaces)

    - #### visitEnd

          public void visitEnd()

    - #### visitInnerClass

          public void visitInnerClass(java.lang.String name,
                             java.lang.String outerName,
                             java.lang.String innerName,
                             int access)

    - #### visitField

          public FieldVisitor visitField(int access,
                                java.lang.String name,
                                java.lang.String desc,
                                java.lang.String signature,
                                java.lang.Object value)

    - #### visitMethod

          public MethodVisitor visitMethod(int access,
                                  java.lang.String name,
                                  java.lang.String desc,
                                  java.lang.String signature,
                                  java.lang.String[] exceptions)

    - #### visitSource

          public void visitSource(java.lang.String source,
                         java.lang.String debug)

    - #### visitOuterClass

          public void visitOuterClass(java.lang.String owner,
                             java.lang.String name,
                             java.lang.String desc)

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(java.lang.String desc,
                                          boolean visible)

    - #### visitAttribute

          public void visitAttribute(Attribute attrs)

Copyright (c) 2001 - Apache Software Foundation